    
ZKTECO_LANGUAGES = [('83', "Simplified Chinese"),
                    ('69',"English"),
                    ('70', "French")]

#Appendix 1
ZKTECO_ERROR_CODES = {
    '0': "Successful",
    '-1': "The parameter is incorrect",
    '-2': "The transmitted user photo data does not match the given size.",
    '-3': "Reading or writing is incorrect.",
    '-9': "The transmitted template data does not match the given size.",
    '-10': "The user specified by PIN does not exist in the equipment",
    '-12': "The fingerprint template is illegal",
    '-30': "The integrated template alcorightm is inconsistent",
    '-1001': "Limited Capacity",
    '-1002': "Not supported by equipment.",
    '-1003': "Command execution timeout",
    '-1004': "The data and equipment configuration are inconsistent.",
    '-1005': "The equipement is busy",
    '-1006': "The data is too long",
    '-1007': "Memory error",
    '-1008': "Failed to get server data"
}

ZKTECO_ALARM_CODES = [
    ('50', 'Door Cose Detected'),
    ('51', 'Door Open Detected'),
    ('53', 'Out Door Button'),
    ('54', 'Door Broken Accidentally'),
    ('55', 'Machine Been Broken'),
    ('58', 'Try Invalid Verification'),
    ('65535', 'Alarm Cancelled')
]
ZKTECO_ERRORLOG_CODES = [
    ('00000000', "Succeed"),
    ('D01E0001', "Face detection failed"),
    ('D01E0002', "Face occlusion"),
    ('D01E0003', "Lack of clarity"),
    ('D01E0004', "Face angle is too big"),
    ('D01E0005', "Live detection failed"),
    ('D01E0006', "Extraction template failed")
]

#Appendix 3
ZKTECO_OPERATION_CODES = [
    ('0', 'Startup'),
    ('1', 'Shutdown'),
    ('2', 'Authentication fails'),
    ('3', 'Alarm'),
    ('4', 'Access menu'),
    ('5', 'Change settings'),
    ('6', 'Enroll fingerprint'),
    ('7', 'Enroll password'),
    ('8', 'Enroll HID card'),
    ('9', 'Delete user'),
    ('10', 'Delete fingerprint'),
    ('11', 'Delete password'),
    ('12', 'Delete RF card'),
    ('13', 'Clear data'),
    ('14', 'Create MF card'),
    ('15', 'Enroll MF card'),
    ('16', 'Register MF card'),
    ('17', 'Delete MF card  registration'),
    ('18', 'Clear MF card content'),
    ('19', 'Move enrolled data into the card'),
    ('20', 'Copy data in the card to the machine'),
    ('21', 'Set time'),
    ('22', 'Delivery configuration'),
    ('23', ''),
    ('24', ''),
    ('25', ''),
    ('26', ''),
    ('27', ''),
    ('28', ''),
    ('29', ''),
    ('30', 'Enroll a new user'),
    ('31', ''),
    ('32', ''),
    ('33', ''),
    ('34', ''),
    ('35', ''),
    ('36', ''),
    ('37', ''),
    ('38', ''),
    ('39', ''),
    ('40', ''),
    ('41', ''),
    ('42', ''),
    ('43', ''),
    ('44', ''),
    ('45', ''),
    ('46', ''),
    ('47', ''),
    ('48', ''),
    ('49', ''),
    ('50', ''),
    ('51', ''),
    ('52', ''),
    ('53', ''),
    ('54', ''),
    ('55', ''),
    ('56', ''),
    ('57', ''),
    ('58', ''),
    ('59', ''),
    ('60', ''),
    ('61', ''),
    ('62', ''),
    ('63', ''),
    ('64', ''),
    ('65', ''),
    ('66', ''),
    ('67', ''),
    ('68', ''),
    ('69', ''),
    ('70', 'Modify user name'),
    ('71', 'Modify user permissions'),
    ('72', ''),
    ('73', ''),
    ('74', ''),
    ('75', ''),
    ('76', ''),
    ('77', ''),
    ('78', ''),
    ('79', ''),
    ('80', ''),
    ('81', ''),
    ('82', 'Modify cloud server address'),
    ('83', 'Modify cloud server port'),
    ('84', ''),
    ('85', ''),
    ('86', ''),
    ('87', ''),
    ('88', 'Modify face parameter icon'),
    ('89', 'Modify fingerprint parameter icon'),
    ('90', ''),
    ('91', ''),
    ('92', ''),
    ('93', ''),
    ('94', ''),
    ('95', ''),
    ('96', ''),
    ('97', ''),
    ('98', ''),
    ('99', ''),
    ('100', ''),
    ('101', 'Enroll face'),
    ('102', 'Modify personnel permissions'),
    ('103', ''),
    ('104', ''),
    ('105', ''),
    ('106', 'Delete face'),
    ('107', 'Delete personnel photo'),
    ('108', 'Modify parameters'),
    ('109', ''),
    ('110', ''),
    ('111', ''),
    ('112', ''),
    ('113', 'Change personnel password'),
    ('114', 'Modify face information'),
    ('115', 'Change operator s password'),
    ('116', 'Restore access control settings'),
    ('117', ''),
    ('118', ''),
    ('119', ''),
    ('120', ''),
    ('121', ''),
    ('122', ''),
    ('123', ''),
    ('124', 'Register palmprint'),
    ('125', 'Modify palmprint'),
    ('126', 'Delete palmprint'),
    ('200', 'Unknown Operation'), #TODO manage this

]
ZKTECO_EMPLOYEE_WATCH_FIELDS=['active', 'name', 'registration_number', 'pin', 'work_location_id', 'face1', 'zk_super_admin']
ZKTECO_MACHINE_WATCH_FIELDS = ['language', 'device_type']

ZKTECO_BIODATA_TYPES = [
    ('0', 'Universal'),
    ('1', 'Fingerprint'),
    ('2', 'Face'),
    ('3', 'Voiceprint'),
    ('4', 'Iris'),
    ('5', 'Retina'),
    ('6', 'Palmprint'),
    ('7', 'Finger vein'),
    ('8', 'Palm'),
    ('9', 'Visible light face'),
]

ZKTECO_BIODATA_FORMAT = [
    ('0', 'ZK'),
    ('1', 'ISO'),
    ('2', 'ANSI')
]

#Appendix 7
ZKTECO_ATTENDANCE_VERIFICATION_MODE = [
    ('0', 'Automatic identification'),
    ('1', 'Fingerprint'),
    ('3', 'Password'),
    ('4', 'Card'),
    ('5', 'Fingerprint or password'),
    ('6', 'FIngerprints or card'),
    ('15', 'Face'),
    ('25', 'Palm print'),
    ('26', 'Palm print + card'),
    ('27', 'Palm print + face'),
    ('28', 'Palm print + fingerprint'),
    ('29', 'Palm print + fingerprint+ face'),
    ('200', 'Other'),
]

ZKTECO_ATTENDANCE_STATUS = [
    ('201', 'Password'),
    ('255', 'TBD')
]

ZKTECO_SHORTCUT_KEY_FUNCTIONS = [
    ('0', 'Undefined'),
    ('1', 'State Key'),
    ('2', 'Work code'),
    ('3', "Short message"),
    ('4', 'Key for help'),
    ('5', 'Check the attendance record'),
    ('6', 'Check the final attendance record'),
]